Bug 422871 - /usr/libexec/gnome-settings-daemon crashes
/usr/libexec/gnome-settings-daemon crashes
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-12 23:14 EST by Jim Cornette
Modified: 2007-12-22 00:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-22 00:05:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2007-12-12 23:14:14 EST
Description of problem:
There was an error starting the GNOME Settings Daemon.

The last error message was:

An SELinux policy prevents this sender from sending this message to this
recipient (rejected message had interface "org.freedesktop.DBus" member "Hello"
error name "(unset)" destination "org.freedesktop.DBus")

Version-Release number of selected component (if applicable):

How reproducible:
Boot with SELinux in permissive mode. Start X with either gdm or startx. The
error shows when gnome-settings-daemon starts.

Steps to Reproduce:
1. boot with enforcing=0
2. login to gnome rl3 or rl5
3. see dialog box pasted in description above. Notice very large fonts vs.
before upgrade.
Actual results:
Every time I login, the error is repeated

Expected results:
Normal fonts and no warning daemon crashed.

Additional info:
Comment 1 Bastien Nocera 2007-12-13 11:40:31 EST
What's the SELinux avc message?
Which version of the selinux policies do you have?

Looks like a problem with DBus and/or SELinux policies. Does HAL, hcid or other
daemons trigger that problem?
Comment 2 Jim Cornette 2007-12-14 00:34:44 EST

The problem happened after the update for the X server. There was an adjustment
for elements for a daemon related to the hardware abstraction layer a short time
before te problem surfaced. I'll see if I can find the bug report for the daemon
problm which may have triggered this error tomorrow.
Comment 3 Jim Cornette 2007-12-22 00:05:02 EST
Closing bug ticket. selinux-policy-3.2.5-3.fc9 no longer shows error in logs.
The message in gnome is no longer present either.

Note You need to log in before you can comment on or make changes to this bug.